require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_GCC_INTRIN_H)) {
    eval 'sub _ASM_IA64_GCC_INTRIN_H () {1;}' unless defined(&_ASM_IA64_GCC_INTRIN_H);
    eval 'sub ASM_SUPPORTED () {1;}' unless defined(&ASM_SUPPORTED);
    eval 'sub ia64_barrier () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_barrier);
    eval 'sub ia64_stop () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_stop);
    eval 'sub ia64_invala_gr {
        my($regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_invala_gr);
    eval 'sub ia64_invala_fr {
        my($regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_invala_fr);
    eval 'sub ia64_setreg {
        my($regnum, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_setreg);
    eval 'sub ia64_getreg {
        my($regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_getreg);
    eval 'sub ia64_hint_pause () {0;}' unless defined(&ia64_hint_pause);
    eval 'sub ia64_hint {
        my($mode) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_hint);
    eval 'sub ia64_mux1_brcst () {0;}' unless defined(&ia64_mux1_brcst);
    eval 'sub ia64_mux1_mix () {8;}' unless defined(&ia64_mux1_mix);
    eval 'sub ia64_mux1_shuf () {9;}' unless defined(&ia64_mux1_shuf);
    eval 'sub ia64_mux1_alt () {10;}' unless defined(&ia64_mux1_alt);
    eval 'sub ia64_mux1_rev () {11;}' unless defined(&ia64_mux1_rev);
    eval 'sub ia64_mux1 {
        my($x, $mode) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_mux1);
    if((defined(&__GNUC__) ? &__GNUC__ : 0) >= 4|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 3 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 4)) {
	eval 'sub ia64_popcnt {
	    my($x) = @_;
    	    eval q( &__builtin_popcountl($x));
	}' unless defined(&ia64_popcnt);
    } else {
	eval 'sub ia64_popcnt {
	    my($x) = @_;
    	    eval q(\\"(assembly code)\\");
	}' unless defined(&ia64_popcnt);
    }
    eval 'sub ia64_getf_exp {
        my($x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_getf_exp);
    eval 'sub ia64_shrp {
        my($a, $b, $count) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_shrp);
    eval 'sub ia64_ldfs {
        my($regnum, $x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ldfs);
    eval 'sub ia64_ldfd {
        my($regnum, $x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ldfd);
    eval 'sub ia64_ldfe {
        my($regnum, $x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ldfe);
    eval 'sub ia64_ldf8 {
        my($regnum, $x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ldf8);
    eval 'sub ia64_ldf_fill {
        my($regnum, $x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ldf_fill);
    eval 'sub ia64_stfs {
        my($x, $regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_stfs);
    eval 'sub ia64_stfd {
        my($x, $regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_stfd);
    eval 'sub ia64_stfe {
        my($x, $regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_stfe);
    eval 'sub ia64_stf8 {
        my($x, $regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_stf8);
    eval 'sub ia64_stf_spill {
        my($x, $regnum) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_stf_spill);
    eval 'sub ia64_fetchadd4_acq {
        my($p, $inc) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_fetchadd4_acq);
    eval 'sub ia64_fetchadd4_rel {
        my($p, $inc) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_fetchadd4_rel);
    eval 'sub ia64_fetchadd8_acq {
        my($p, $inc) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_fetchadd8_acq);
    eval 'sub ia64_fetchadd8_rel {
        my($p, $inc) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_fetchadd8_rel);
    eval 'sub ia64_xchg1 {
        my($ptr,$x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_xchg1);
    eval 'sub ia64_xchg2 {
        my($ptr,$x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_xchg2);
    eval 'sub ia64_xchg4 {
        my($ptr,$x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_xchg4);
    eval 'sub ia64_xchg8 {
        my($ptr,$x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_xchg8);
    eval 'sub ia64_cmpxchg1_acq {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg1_acq);
    eval 'sub ia64_cmpxchg1_rel {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg1_rel);
    eval 'sub ia64_cmpxchg2_acq {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg2_acq);
    eval 'sub ia64_cmpxchg2_rel {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg2_rel);
    eval 'sub ia64_cmpxchg4_acq {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg4_acq);
    eval 'sub ia64_cmpxchg4_rel {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg4_rel);
    eval 'sub ia64_cmpxchg8_acq {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg8_acq);
    eval 'sub ia64_cmpxchg8_rel {
        my($ptr, $new, $old) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_cmpxchg8_rel);
    eval 'sub ia64_mf () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_mf);
    eval 'sub ia64_mfa () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_mfa);
    eval 'sub ia64_invala () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_invala);
    eval 'sub ia64_thash {
        my($addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_thash);
    eval 'sub ia64_srlz_i () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_srlz_i);
    eval 'sub ia64_srlz_d () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_srlz_d);
    if(defined(&HAVE_SERIALIZE_DIRECTIVE)) {
	eval 'sub ia64_dv_serialize_data () {
	    eval q(\\"(assembly code)\\");
	}' unless defined(&ia64_dv_serialize_data);
	eval 'sub ia64_dv_serialize_instruction () {
	    eval q(\\"(assembly code)\\");
	}' unless defined(&ia64_dv_serialize_instruction);
    } else {
	eval 'sub ia64_dv_serialize_data () {
	    eval q();
	}' unless defined(&ia64_dv_serialize_data);
	eval 'sub ia64_dv_serialize_instruction () {
	    eval q();
	}' unless defined(&ia64_dv_serialize_instruction);
    }
    eval 'sub ia64_nop {
        my($x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_nop);
    eval 'sub ia64_itci {
        my($addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_itci);
    eval 'sub ia64_itcd {
        my($addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_itcd);
    eval 'sub ia64_itri {
        my($trnum, $addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_itri);
    eval 'sub ia64_itrd {
        my($trnum, $addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_itrd);
    eval 'sub ia64_tpa {
        my($addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_tpa);
    eval 'sub __ia64_set_dbr {
        my($index, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&__ia64_set_dbr);
    eval 'sub ia64_set_ibr {
        my($index, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_set_ibr);
    eval 'sub ia64_set_pkr {
        my($index, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_set_pkr);
    eval 'sub ia64_set_pmc {
        my($index, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_set_pmc);
    eval 'sub ia64_set_pmd {
        my($index, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_set_pmd);
    eval 'sub ia64_set_rr {
        my($index, $val) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_set_rr);
    eval 'sub ia64_get_cpuid {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_get_cpuid);
    eval 'sub __ia64_get_dbr {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&__ia64_get_dbr);
    eval 'sub ia64_get_ibr {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_get_ibr);
    eval 'sub ia64_get_pkr {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_get_pkr);
    eval 'sub ia64_get_pmc {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_get_pmc);
    eval 'sub ia64_get_pmd {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_get_pmd);
    eval 'sub ia64_get_rr {
        my($index) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_get_rr);
    eval 'sub ia64_fc {
        my($addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_fc);
    eval 'sub ia64_sync_i () {
        eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_sync_i);
    eval 'sub ia64_ssm {
        my($mask) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ssm);
    eval 'sub ia64_rsm {
        my($mask) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_rsm);
    eval 'sub ia64_sum {
        my($mask) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_sum);
    eval 'sub ia64_rum {
        my($mask) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_rum);
    eval 'sub ia64_ptce {
        my($addr) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ptce);
    eval 'sub ia64_ptcga {
        my($addr, $size) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ptcga);
    eval 'sub ia64_ptcl {
        my($addr, $size) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ptcl);
    eval 'sub ia64_ptri {
        my($addr, $size) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ptri);
    eval 'sub ia64_ptrd {
        my($addr, $size) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_ptrd);
    eval 'sub ia64_lfhint_none () {0;}' unless defined(&ia64_lfhint_none);
    eval 'sub ia64_lfhint_nt1 () {1;}' unless defined(&ia64_lfhint_nt1);
    eval 'sub ia64_lfhint_nt2 () {2;}' unless defined(&ia64_lfhint_nt2);
    eval 'sub ia64_lfhint_nta () {3;}' unless defined(&ia64_lfhint_nta);
    eval 'sub ia64_lfetch {
        my($lfhint, $y) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_lfetch);
    eval 'sub ia64_lfetch_excl {
        my($lfhint, $y) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_lfetch_excl);
    eval 'sub ia64_lfetch_fault {
        my($lfhint, $y) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_lfetch_fault);
    eval 'sub ia64_lfetch_fault_excl {
        my($lfhint, $y) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_lfetch_fault_excl);
    eval 'sub ia64_intrin_local_irq_restore {
        my($x) = @_;
	    eval q(\\"(assembly code)\\");
    }' unless defined(&ia64_intrin_local_irq_restore);
}
1;
