require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_SIGNAL_H)) {
    eval 'sub _ASM_IA64_SIGNAL_H () {1;}' unless defined(&_ASM_IA64_SIGNAL_H);
    eval 'sub SIGHUP () {1;}' unless defined(&SIGHUP);
    eval 'sub SIGINT () {2;}' unless defined(&SIGINT);
    eval 'sub SIGQUIT () {3;}' unless defined(&SIGQUIT);
    eval 'sub SIGILL () {4;}' unless defined(&SIGILL);
    eval 'sub SIGTRAP () {5;}' unless defined(&SIGTRAP);
    eval 'sub SIGABRT () {6;}' unless defined(&SIGABRT);
    eval 'sub SIGIOT () {6;}' unless defined(&SIGIOT);
    eval 'sub SIGBUS () {7;}' unless defined(&SIGBUS);
    eval 'sub SIGFPE () {8;}' unless defined(&SIGFPE);
    eval 'sub SIGKILL () {9;}' unless defined(&SIGKILL);
    eval 'sub SIGUSR1 () {10;}' unless defined(&SIGUSR1);
    eval 'sub SIGSEGV () {11;}' unless defined(&SIGSEGV);
    eval 'sub SIGUSR2 () {12;}' unless defined(&SIGUSR2);
    eval 'sub SIGPIPE () {13;}' unless defined(&SIGPIPE);
    eval 'sub SIGALRM () {14;}' unless defined(&SIGALRM);
    eval 'sub SIGTERM () {15;}' unless defined(&SIGTERM);
    eval 'sub SIGSTKFLT () {16;}' unless defined(&SIGSTKFLT);
    eval 'sub SIGCHLD () {17;}' unless defined(&SIGCHLD);
    eval 'sub SIGCONT () {18;}' unless defined(&SIGCONT);
    eval 'sub SIGSTOP () {19;}' unless defined(&SIGSTOP);
    eval 'sub SIGTSTP () {20;}' unless defined(&SIGTSTP);
    eval 'sub SIGTTIN () {21;}' unless defined(&SIGTTIN);
    eval 'sub SIGTTOU () {22;}' unless defined(&SIGTTOU);
    eval 'sub SIGURG () {23;}' unless defined(&SIGURG);
    eval 'sub SIGXCPU () {24;}' unless defined(&SIGXCPU);
    eval 'sub SIGXFSZ () {25;}' unless defined(&SIGXFSZ);
    eval 'sub SIGVTALRM () {26;}' unless defined(&SIGVTALRM);
    eval 'sub SIGPROF () {27;}' unless defined(&SIGPROF);
    eval 'sub SIGWINCH () {28;}' unless defined(&SIGWINCH);
    eval 'sub SIGIO () {29;}' unless defined(&SIGIO);
    eval 'sub SIGPOLL () { &SIGIO;}' unless defined(&SIGPOLL);
    eval 'sub SIGPWR () {30;}' unless defined(&SIGPWR);
    eval 'sub SIGSYS () {31;}' unless defined(&SIGSYS);
    eval 'sub SIGUNUSED () {31;}' unless defined(&SIGUNUSED);
    eval 'sub SIGRTMIN () {32;}' unless defined(&SIGRTMIN);
    eval 'sub SIGRTMAX () { &_NSIG;}' unless defined(&SIGRTMAX);
    eval 'sub SA_NOCLDSTOP () {0x1;}' unless defined(&SA_NOCLDSTOP);
    eval 'sub SA_NOCLDWAIT () {0x2;}' unless defined(&SA_NOCLDWAIT);
    eval 'sub SA_SIGINFO () {0x4;}' unless defined(&SA_SIGINFO);
    eval 'sub SA_ONSTACK () {0x8000000;}' unless defined(&SA_ONSTACK);
    eval 'sub SA_RESTART () {0x10000000;}' unless defined(&SA_RESTART);
    eval 'sub SA_NODEFER () {0x40000000;}' unless defined(&SA_NODEFER);
    eval 'sub SA_RESETHAND () {0x80000000;}' unless defined(&SA_RESETHAND);
    eval 'sub SA_NOMASK () { &SA_NODEFER;}' unless defined(&SA_NOMASK);
    eval 'sub SA_ONESHOT () { &SA_RESETHAND;}' unless defined(&SA_ONESHOT);
    eval 'sub SA_RESTORER () {0x4000000;}' unless defined(&SA_RESTORER);
    eval 'sub SS_ONSTACK () {1;}' unless defined(&SS_ONSTACK);
    eval 'sub SS_DISABLE () {2;}' unless defined(&SS_DISABLE);
    if(1) {
	eval 'sub MINSIGSTKSZ () {131027;}' unless defined(&MINSIGSTKSZ);
    } else {
	eval 'sub MINSIGSTKSZ () {131072;}' unless defined(&MINSIGSTKSZ);
    }
    eval 'sub SIGSTKSZ () {262144;}' unless defined(&SIGSTKSZ);
    require 'asm-generic/signal.ph';
    unless(defined(&__ASSEMBLY__)) {
	require 'linux/types.ph';
    }
}
1;
