require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_SYS_SHM_H)) {
    die("Never include <bits/shm.h> directly; use <sys/shm.h> instead.");
}
require 'sys/types.ph';
unless(defined(&SHM_R)) {
    sub SHM_R () {	0400;}
}
unless(defined(&SHM_W)) {
    sub SHM_W () {	0200;}
}
unless(defined(&SHM_RDONLY)) {
    sub SHM_RDONLY () {	010000;}
}
unless(defined(&SHM_RND)) {
    sub SHM_RND () {	020000;}
}
unless(defined(&SHM_REMAP)) {
    sub SHM_REMAP () {	040000;}
}
unless(defined(&SHM_LOCK)) {
    sub SHM_LOCK () {	11;}
}
unless(defined(&SHM_UNLOCK)) {
    sub SHM_UNLOCK () {	12;}
}
unless(defined(&SHMLBA)) {
    sub SHMLBA () {	(1024* 1024);}
}
if(defined(&__USE_MISC)) {
    eval 'sub SHM_STAT () {13;}' unless defined(&SHM_STAT);
    eval 'sub SHM_INFO () {14;}' unless defined(&SHM_INFO);
    eval 'sub SHM_DEST () {01000;}' unless defined(&SHM_DEST);
    eval 'sub SHM_LOCKED () {02000;}' unless defined(&SHM_LOCKED);
    eval 'sub SHM_HUGETLB () {04000;}' unless defined(&SHM_HUGETLB);
    eval 'sub SHM_NORESERVE () {010000;}' unless defined(&SHM_NORESERVE);
}
1;
