require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_BYTEORDER_H)) {
    eval 'sub _ASM_IA64_BYTEORDER_H () {1;}' unless defined(&_ASM_IA64_BYTEORDER_H);
    require 'asm/types.ph';
    require 'asm/intrinsics.ph';
    eval 'sub __ia64_swab64 {
        my($x) = @_;
	    eval q({  &__u64  &result;  &result =  &ia64_mux1($x,  &ia64_mux1_rev);  &result; });
    }' unless defined(&__ia64_swab64);
    eval 'sub __ia64_swab32 {
        my($x) = @_;
	    eval q({  &__ia64_swab64($x) >> 32; });
    }' unless defined(&__ia64_swab32);
    eval 'sub __ia64_swab16 {
        my($x) = @_;
	    eval q({  &__ia64_swab64($x) >> 48; });
    }' unless defined(&__ia64_swab16);
    eval 'sub __arch__swab64 {
        my($x) = @_;
	    eval q( &__ia64_swab64($x));
    }' unless defined(&__arch__swab64);
    eval 'sub __arch__swab32 {
        my($x) = @_;
	    eval q( &__ia64_swab32($x));
    }' unless defined(&__arch__swab32);
    eval 'sub __arch__swab16 {
        my($x) = @_;
	    eval q( &__ia64_swab16($x));
    }' unless defined(&__arch__swab16);
    eval 'sub __BYTEORDER_HAS_U64__ () {1;}' unless defined(&__BYTEORDER_HAS_U64__);
    require 'linux/byteorder/little_endian.ph';
}
1;
