require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_IA64_PERFMON_H)) {
    eval 'sub _ASM_IA64_PERFMON_H () {1;}' unless defined(&_ASM_IA64_PERFMON_H);
    eval 'sub PFM_WRITE_PMCS () {0x1;}' unless defined(&PFM_WRITE_PMCS);
    eval 'sub PFM_WRITE_PMDS () {0x2;}' unless defined(&PFM_WRITE_PMDS);
    eval 'sub PFM_READ_PMDS () {0x3;}' unless defined(&PFM_READ_PMDS);
    eval 'sub PFM_STOP () {0x4;}' unless defined(&PFM_STOP);
    eval 'sub PFM_START () {0x5;}' unless defined(&PFM_START);
    eval 'sub PFM_ENABLE () {0x6;}' unless defined(&PFM_ENABLE);
    eval 'sub PFM_DISABLE () {0x7;}' unless defined(&PFM_DISABLE);
    eval 'sub PFM_CREATE_CONTEXT () {0x8;}' unless defined(&PFM_CREATE_CONTEXT);
    eval 'sub PFM_DESTROY_CONTEXT () {0x9;}' unless defined(&PFM_DESTROY_CONTEXT);
    eval 'sub PFM_RESTART () {0xa;}' unless defined(&PFM_RESTART);
    eval 'sub PFM_PROTECT_CONTEXT () {0xb;}' unless defined(&PFM_PROTECT_CONTEXT);
    eval 'sub PFM_GET_FEATURES () {0xc;}' unless defined(&PFM_GET_FEATURES);
    eval 'sub PFM_DEBUG () {0xd;}' unless defined(&PFM_DEBUG);
    eval 'sub PFM_UNPROTECT_CONTEXT () {0xe;}' unless defined(&PFM_UNPROTECT_CONTEXT);
    eval 'sub PFM_GET_PMC_RESET_VAL () {0xf;}' unless defined(&PFM_GET_PMC_RESET_VAL);
    eval 'sub PFM_LOAD_CONTEXT () {0x10;}' unless defined(&PFM_LOAD_CONTEXT);
    eval 'sub PFM_UNLOAD_CONTEXT () {0x11;}' unless defined(&PFM_UNLOAD_CONTEXT);
    eval 'sub PFM_WRITE_IBRS () {0x20;}' unless defined(&PFM_WRITE_IBRS);
    eval 'sub PFM_WRITE_DBRS () {0x21;}' unless defined(&PFM_WRITE_DBRS);
    eval 'sub PFM_FL_NOTIFY_BLOCK () {0x1;}' unless defined(&PFM_FL_NOTIFY_BLOCK);
    eval 'sub PFM_FL_SYSTEM_WIDE () {0x2;}' unless defined(&PFM_FL_SYSTEM_WIDE);
    eval 'sub PFM_FL_OVFL_NO_MSG () {0x80;}' unless defined(&PFM_FL_OVFL_NO_MSG);
    eval 'sub PFM_SETFL_EXCL_IDLE () {0x1;}' unless defined(&PFM_SETFL_EXCL_IDLE);
    eval 'sub PFM_REGFL_OVFL_NOTIFY () {0x1;}' unless defined(&PFM_REGFL_OVFL_NOTIFY);
    eval 'sub PFM_REGFL_RANDOM () {0x2;}' unless defined(&PFM_REGFL_RANDOM);
    eval 'sub PFM_REG_RETFL_NOTAVAIL () {(1<<31);}' unless defined(&PFM_REG_RETFL_NOTAVAIL);
    eval 'sub PFM_REG_RETFL_EINVAL () {(1<<30);}' unless defined(&PFM_REG_RETFL_EINVAL);
    eval 'sub PFM_REG_RETFL_MASK () {( &PFM_REG_RETFL_NOTAVAIL| &PFM_REG_RETFL_EINVAL);}' unless defined(&PFM_REG_RETFL_MASK);
    eval 'sub PFM_REG_HAS_ERROR {
        my($flag) = @_;
	    eval q(((($flag) &  &PFM_REG_RETFL_MASK) != 0));
    }' unless defined(&PFM_REG_HAS_ERROR);
    eval 'sub PFM_MSG_OVFL () {1;}' unless defined(&PFM_MSG_OVFL);
    eval 'sub PFM_MSG_END () {2;}' unless defined(&PFM_MSG_END);
    eval 'sub PFM_VERSION_MAJ () {2;}' unless defined(&PFM_VERSION_MAJ);
    eval 'sub PFM_VERSION_MIN () {0;}' unless defined(&PFM_VERSION_MIN);
    eval 'sub PFM_VERSION () {((( &PFM_VERSION_MAJ&0xffff)<<16)|( &PFM_VERSION_MIN & 0xffff));}' unless defined(&PFM_VERSION);
    eval 'sub PFM_VERSION_MAJOR {
        my($x) = @_;
	    eval q(((($x)>>16) & 0xffff));
    }' unless defined(&PFM_VERSION_MAJOR);
    eval 'sub PFM_VERSION_MINOR {
        my($x) = @_;
	    eval q((($x) & 0xffff));
    }' unless defined(&PFM_VERSION_MINOR);
    eval 'sub PMU_FIRST_COUNTER () {4;}' unless defined(&PMU_FIRST_COUNTER);
    eval 'sub PMU_MAX_PMCS () {256;}' unless defined(&PMU_MAX_PMCS);
    eval 'sub PMU_MAX_PMDS () {256;}' unless defined(&PMU_MAX_PMDS);
}
1;
