require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_SYS_PTRACE_H)) {
    eval 'sub _SYS_PTRACE_H () {1;}' unless defined(&_SYS_PTRACE_H);
    require 'features.ph';
    require 'sys/ucontext.ph';
    eval("sub PTRACE_TRACEME () { 0; }") unless defined(&PTRACE_TRACEME);
    eval("sub PT_TRACE_ME () { PTRACE_TRACEME; }") unless defined(&PT_TRACE_ME);
    eval("sub PTRACE_PEEKTEXT () { 1; }") unless defined(&PTRACE_PEEKTEXT);
    eval("sub PT_READ_I () { PTRACE_PEEKTEXT; }") unless defined(&PT_READ_I);
    eval("sub PTRACE_PEEKDATA () { 2; }") unless defined(&PTRACE_PEEKDATA);
    eval("sub PT_READ_D () { PTRACE_PEEKDATA; }") unless defined(&PT_READ_D);
    eval("sub PTRACE_PEEKUSER () { 3; }") unless defined(&PTRACE_PEEKUSER);
    eval("sub PT_READ_U () { PTRACE_PEEKUSER; }") unless defined(&PT_READ_U);
    eval("sub PTRACE_POKETEXT () { 4; }") unless defined(&PTRACE_POKETEXT);
    eval("sub PT_WRITE_I () { PTRACE_POKETEXT; }") unless defined(&PT_WRITE_I);
    eval("sub PTRACE_POKEDATA () { 5; }") unless defined(&PTRACE_POKEDATA);
    eval("sub PT_WRITE_D () { PTRACE_POKEDATA; }") unless defined(&PT_WRITE_D);
    eval("sub PTRACE_POKEUSER () { 6; }") unless defined(&PTRACE_POKEUSER);
    eval("sub PT_WRITE_U () { PTRACE_POKEUSER; }") unless defined(&PT_WRITE_U);
    eval("sub PTRACE_CONT () { 7; }") unless defined(&PTRACE_CONT);
    eval("sub PT_CONTINUE () { PTRACE_CONT; }") unless defined(&PT_CONTINUE);
    eval("sub PTRACE_KILL () { 8; }") unless defined(&PTRACE_KILL);
    eval("sub PT_KILL () { PTRACE_KILL; }") unless defined(&PT_KILL);
    eval("sub PTRACE_SINGLESTEP () { 9; }") unless defined(&PTRACE_SINGLESTEP);
    eval("sub PT_STEP () { PTRACE_SINGLESTEP; }") unless defined(&PT_STEP);
    eval("sub PTRACE_SINGLEBLOCK () { 12; }") unless defined(&PTRACE_SINGLEBLOCK);
    eval("sub PT_STEPBLOCK () { PTRACE_SINGLEBLOCK; }") unless defined(&PT_STEPBLOCK);
    eval("sub PTRACE_ATTACH () { 16; }") unless defined(&PTRACE_ATTACH);
    eval("sub PT_ATTACH () { PTRACE_ATTACH; }") unless defined(&PT_ATTACH);
    eval("sub PTRACE_DETACH () { 17; }") unless defined(&PTRACE_DETACH);
    eval("sub PT_DETACH () { PTRACE_DETACH; }") unless defined(&PT_DETACH);
    eval("sub PTRACE_GETREGS () { 18; }") unless defined(&PTRACE_GETREGS);
    eval("sub PT_GETREGS () { PTRACE_GETREGS; }") unless defined(&PT_GETREGS);
    eval("sub PTRACE_SETREGS () { 19; }") unless defined(&PTRACE_SETREGS);
    eval("sub PT_SETREGS () { PTRACE_SETREGS; }") unless defined(&PT_SETREGS);
    eval("sub PTRACE_SYSCALL () { 24; }") unless defined(&PTRACE_SYSCALL);
    eval("sub PT_SYSCALL () { PTRACE_SYSCALL; }") unless defined(&PT_SYSCALL);
    eval("sub PTRACE_SETOPTIONS () { 0x4200; }") unless defined(&PTRACE_SETOPTIONS);
    eval("sub PT_SETOPTIONS () { PTRACE_SETOPTIONS; }") unless defined(&PT_SETOPTIONS);
    eval("sub PTRACE_GETEVENTMSG () { 0x4201; }") unless defined(&PTRACE_GETEVENTMSG);
    eval("sub PT_GETEVENTMSG () { PTRACE_GETEVENTMSG; }") unless defined(&PT_GETEVENTMSG);
    eval("sub PTRACE_GETSIGINFO () { 0x4202; }") unless defined(&PTRACE_GETSIGINFO);
    eval("sub PT_GETSIGINFO () { PTRACE_GETSIGINFO; }") unless defined(&PT_GETSIGINFO);
    eval("sub PTRACE_SETSIGINFO () { 0x4203PT_SETSIGINFO=PTRACE_SETSIGINFO; }") unless defined(&PTRACE_SETSIGINFO);
}
1;
